typedef struct _CMD_ENTRY{
    int         OpCode;
    int         CmdIndex;
    char        *cmd_name;
    char        *desc;
    char        *help;
} CMD_ENTRY;

typedef enum _DBG_OPCODE{
/*0 */  DbgOpDriver,                //OpCode used in driver
/*1 */  DbgOpFirm,                  //OpCode used in firmware
/*2 */  DbgOpCommon,                //Common used OP code
/*3 */  DbgOpMax,               
/*4 */  DbgOpEnd                    //End of command table
}DBG_OPCODE;

typedef enum _DBG_FIRM_CMD_INDEX{
/*0 */  DbgFirmHelp,       
/*1 */  DbgFirmR4,         
/*2 */  DbgFirmMaxCmdIndex,
}DBG_FIRM_CMD_INDEX;

typedef enum _DBG_DRIVER_CMD_INDEX{
/*0 */  DbgDriverHelp,      
/*1 */  DbgDriverRegDump,
/*2 */	DbgDriverRegWrite,
/*3 */  DbgDriverMaxCmdIndex,
}DBG_DRIVER_CMD_INDEX;
